package schema

var MQLs = `
create class if not exists m3cnet : / (
) with ttl=366 day, autosearch=true, version=false, key=manu, alias='m3cnet', namespace='m3cnet'
;

create class if not exists master : m3cnet (
	id				varchar			"id",
	uniqueid		varchar			"UNIQUEID",
	name			varchar			"NAME",
	asmchangetime	bigint			"ASMCHANGETIME",
	basename		varchar			"BASENAME",
	changetime		timestamp		"CHANGETIME",
	ci_status		varchar			"CI_STATUS",
	ci_table		varchar			"CI_TABLE",
	cmdbmapping		varchar			"CMDBMAPPING",
	distname		varchar			"DISTNAME",
	emsname			varchar			"EMSNAME",
	entityid		varchar			"ENTITYID",
	entitytypes		set<varchar>	"ENTITYTYPES",
	entitytypesarr	varchar			"ENTITYTYPESARR",
	extraattr		varchar			"EXTRAATTR",
	ipaddress		varchar			"IPADDRESS",
	lastupdated		timestamp		"LASTUPDATED",
	originid		varchar			"ID",
	rel_status		varchar			"REL_STATUS",
	site			varchar			"SITE",
	site_source		varchar			"SITE_SOURCE",
	stage			varchar			"STAGE",
	sysid			varchar			"SYSID",
	vendor			varchar			"VENDOR",
	tags			set<varchar>	"TAGS",
	
	keys( uniqueid) 
) with key=manu, alias='master'
;

create class if not exists level1 : master (
	id				varchar					"id",
	uniqueid		varchar					"uniqueId,UNIQUEID",
	name			varchar					"name,NAME",
	distname		varchar					"distName,DISTNAME",
	entitytypes		set<varchar>			"entityTypes,ENTITYTYPES",
	extends			map<varchar,varchar>	"*",
	tags			set<varchar>			"tags,TAGS",
) with key=manu, partition=name, alias='level1'
;

create class if not exists minfo : m3cnet (
	id				varchar					"id",
	uniqueid		varchar					"uniqueId",
	name			varchar					"name",
	distname		varchar					"distName",
	entitytypes		set<varchar>			"entityTypes",
	extends			map<varchar,varchar>	"*",
	tags			set<varchar>			"tags",
	
	keys( uniqueid) 
) with key=manu, alias='minfo' 
;

create class if not exists level2 : minfo (
) with key=manu, partition=name, alias='level2' 
;

create class if not exists level3 : minfo (
) with key=manu, partition=name, alias='level3' 
;

create class if not exists level4 : minfo (
) with key=manu, partition=name, alias='level4' 
;

create class if not exists level5 : minfo (
) with key=manu, partition=name, alias='level5' 
;

create class if not exists level6 : minfo (
) with key=manu, partition=name, alias='level6' 
;

create class if not exists level7 : minfo (
) with key=manu, partition=name, alias='level7' 
;

create class if not exists level8 : minfo (
) with key=manu, partition=name, alias='level8' 
;

create edge type m3cnet.contain;

create edge type m3cnet.depend;

create edge type m3cnet.topology;

`
